TestGccCompatibleCCompiler (cpptasks 1.0b5 Test API)
Keywords: net.sf.antcontrib.cpptasks.gcc.TestGccCompatibleCCompiler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.gcc
Class TestGccCompatibleCCompiler

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sf.antcontrib.cpptasks.gcc.TestGccCompatibleCCompiler

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  TestGccCCompiler

    public abstract class TestGccCompatibleCCompiler

extends junit.framework.TestCase

Tests for gcc compatible compilers

Author:
  CurtA

Constructor Summary
`TestGccCompatibleCCompiler(java.lang.String name)` Constructor

Method Summary
`protected abstract net.sf.antcontrib.cpptasks.gcc.GccCompatibleCCompiler` | `create()` Compiler creation method Must be overriden by extending classes
`void` | `testWarningLevel0()` Tests command lines switches for warning = 0
`void` | `testWarningLevel1()` Tests command lines switches for warning = 1
`void` | `testWarningLevel2()` Tests command lines switches for warning = 2
`void` | `testWarningLevel3()` Tests command lines switches for warning = 3
`void` | `testWarningLevel4()` Tests command lines switches for warning = 4
`void` | `testWarningLevel5()` Tests command lines switches for warning = 5

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestGccCompatibleCCompiler

    public TestGccCompatibleCCompiler(java.lang.String name)

  Constructor

  Parameters:
    `name` - test case name

Method Detail

### create

    protected abstract net.sf.antcontrib.cpptasks.gcc.GccCompatibleCCompiler create()

  Compiler creation method Must be overriden by extending classes

  Returns:
    GccCompatibleCCompiler

### testWarningLevel0

    public void testWarningLevel0()

  Tests command lines switches for warning = 0

### testWarningLevel1

    public void testWarningLevel1()

  Tests command lines switches for warning = 1

### testWarningLevel2

    public void testWarningLevel2()

  Tests command lines switches for warning = 2

### testWarningLevel3

    public void testWarningLevel3()

  Tests command lines switches for warning = 3

### testWarningLevel4

    public void testWarningLevel4()

  Tests command lines switches for warning = 4

### testWarningLevel5

    public void testWarningLevel5()

  Tests command lines switches for warning = 5

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.